// @ts-nocheck
import './ContentBuilderTemplate.css';
import React from 'react';
import { forwardRefWithAs } from '../../../utils/types/PropsWithAsAttributes';
import { usePropsHandler } from '../../EventInterceptor/usePropsHandler';
import { cnContentBuilderTemplate } from './index';
import { Article } from '../../Article/Article';
import { Grid, GridItem } from '../../Grid/Grid';
export var ContentBuilderTemplate0 = forwardRefWithAs(function (props, ref) {
    var _a = usePropsHandler(cnContentBuilderTemplate(), props), type = _a.type, text = _a.text;
    var typeNumber = type.toString();
    return (React.createElement("div", { className: cnContentBuilderTemplate({ type: typeNumber }) }, text && (React.createElement(Grid, { breakpoints: { desktop: { cols: 12 } } },
        React.createElement(GridItem, { breakpoints: { desktop: { col: 8 } } },
            React.createElement(Article, { content: text }))))));
});
export default ContentBuilderTemplate0;
